Summary:	Full-featured POP/IMAP mail retrieval daemon
Name:		fetchmail
Group:		Applications/Mail
License:	GPL
Version:	6.2.5
Release:	3
Source0:	http://www.catb.org/~esr/fetchmail/%{name}-%{version}.tar.gz
Patch0:		fetchmail-6.2.5-no-hesiod-hack-gd-1.diff
Requires:	smtpdaemon
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Provides:	fetchmail-ssl
Obsoletes:	fetchmail-ssl

%description
Fetchmail is a free, full-featured, robust, and well-documented remote
mail retrieval and forwarding utility intended to be used over
on-demand TCP/IP links (such as SLIP or PPP connections).  It
retrieves mail from remote mail servers and forwards it to your local
(client) machine's delivery system, so it can then be be read by
normal mail user agents such as mutt, elm, pine, (x)emacs/gnus, or mailx.
Comes with an interactive GUI configurator suitable for end-users.

%files -f %{name}.lang
  %defattr(0444,root,root,0555)
  %doc README NEWS NOTES FAQ COPYING FEATURES contrib
  %doc fetchmail-features.html fetchmail-FAQ.html design-notes.html
  %doc %{_mandir}/man1/fetchmail.1*
  %doc %{_mandir}/man1/fetchmailconf.1*

  %attr(0511,root,root)		%{_bindir}/fetchmail
  %attr(0511,root,root)		%{_bindir}/fetchmailconf

%prep
%setup -q -n fetchmail-%{version}
%patch0 -p1

%build
  for i in config.guess config.sub ; do
	test -f /usr/share/libtool/$i && cp /usr/share/libtool/$i .
  done

  export CFLAGS="$RPM_OPT_FLAGS -I/usr/include/openssl"
  export LDFLAGS="-s"

  %configure --with-ssl
  make %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %makeinstall

  # Put the man pages where they belong.
  pushd $RPM_BUILD_ROOT/%{_mandir}
    mkdir man1; mv fetchmail.1 fetchmailconf.1 man1
  popd

  # Remove unpackaged files.
  rm -rf contrib/RCS && chmod 444 contrib/*

  %find_lang %{name}

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 11 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 6.2.5, Release 3
  - Happy Birthday Christi!
  - Bring in a patch to zap Hesiod from configure so we can build on x86_64.

* Fri Jul 08 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 6.2.5, Release 2
  - Rebuild against openssl-0.9.8.

* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 6.2.5, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
